<template>
  <div class="flex flex-col w-screen">
    <Toast :visible="store.isVisible" :message="store.message" :type="store.type" />
    <Header />
    <div class="flex w-screen">
      <Sidebar :items="items" />
      <slot class="bg-slate-500" />
    </div>
  </div>
</template>

<script setup lang="ts">
const store = useToastStore()

const items = [
  {
    title: "File Manager",
    path: "/files",
    icon: "material-symbols-light:bookmark-manager-rounded",
    requiredRole: '',
  },
  {
    title: "File Upload",
    path: "/upload",
    icon: "bxs:file",
    requiredRole: '',
  },
  {
    title: "Standarize",
    path: "/standarizes",
    icon: "material-symbols:bookmark-added-rounded",
    requiredRole: '',
  },
  {
    title: "Users",
    path: "/users",
    icon: "fluent:people-audience-20-filled",
    requiredRole: 'admin',
  },
  {
    title: "Profile",
    path: "/profile",
    icon: "carbon:user-profile",
    requiredRole: '',
  },
];

onMounted(() => {
  console.log('this is sidebar')
})
</script>
